﻿Public Class frmAlarm



    Private Sub clearDays()
        days = ""
        day(1) = ""
        day(2) = ""
        day(3) = ""
        day(4) = ""
        day(5) = ""
        day(6) = ""
        day(7) = ""
    End Sub


    Public Sub AssignValue()
        'Concatinate hour and minute
        ''''''''''''''''''''''''''''''''''''''''''''
        time = hour & ":" & minute & " " & ampm

        setTime = time
        message = txtMessage.Text
        urlSound = cboURL.Text

        'Assign all the specified days to string variable 'days'
        ''''''''''''''''''''''''''''''''''''''''''''
        If day(1) <> "" And day(2) <> "" And day(3) <> "" And day(4) <> "" And day(5) <> "" And day(6) = "" And day(7) = "" Then
            days = "Weekdays"
        ElseIf day(1) = "" And day(2) = "" And day(3) = "" And day(4) = "" And day(5) = "" And day(6) <> "" And day(7) <> "" Then
            days = "Weekend"
        ElseIf day(1) <> "" And day(2) <> "" And day(3) <> "" And day(4) <> "" And day(5) <> "" And day(6) <> "" And day(7) <> "" Then
            days = "Everyday"
        Else
            '''''''''''''''''''''''''''''''''''''''''''
            For i As Integer = 1 To 7
                If day(i) <> "" Then

                    If days = "" Then
                        days = days & day(i)
                    Else
                        days = days & "," & day(i)
                    End If

                End If
            Next i
        End If

    End Sub


    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click

        OpenFileDialog1.FileName = ""
        OpenFileDialog1.Title = "Browse for new sound"
        OpenFileDialog1.Filter = "MP3 Files(*.mp3)|*.mp3|WAV Files(*.wav)|*.wav|WMA Files(*.wma)|*.wma|All files(*.*)|*.*"

        OpenFileDialog1.ShowDialog()

        urlSound = OpenFileDialog1.FileName

        If urlSound <> "" Then
            'cboURL.Items.Add(urlSound)
            cboURL.Text = urlSound

            Call btnPlayStop_Click(sender, e)
        End If

    End Sub
    Private Sub btnPlayStop_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPlayStop.Click
        Try
            If btnPlayStop.Tag = "Play" Then

                winPlayer.URL = cboURL.Text
                btnPlayStop.Tag = "Stop"
                btnPlayStop.BackgroundImage = Alarm_Scheduler.My.Resources.Resources.stopnew
            Else
                winPlayer.URL = ""
                btnPlayStop.Tag = "Play"
                btnPlayStop.BackgroundImage = Alarm_Scheduler.My.Resources.Resources.play1
            End If


        Catch ex As Exception
            'MsgBox(ex.Message)
        End Try
    End Sub
    Private Sub ComboBox1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboHour.SelectedIndexChanged
        hour = cboHour.Text
    End Sub


    Private Sub frmAlarm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Initialization
        If cboHour.Text = "" Or cboMin.Text = "" Or cboAMPM.Text = "" Then
            If My.Computer.Clock.LocalTime.Hour > 12 Then
                cboHour.Text = My.Computer.Clock.LocalTime.Hour - 12
            Else
                cboHour.Text = My.Computer.Clock.LocalTime.Hour.ToString()
            End If
            cboMin.Text = Format(Now, "mm")
            cboAMPM.Text = Format(Now, "tt")
        End If
    End Sub



    Private Sub CheckBox3_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkWed.CheckedChanged
        If chkWed.CheckState = CheckState.Checked Then
            day(3) = "Wed"
        Else
            day(3) = ""
        End If
    End Sub

    Private Sub btnOK_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOK.Click
        Call AssignValue()

        Try
            sql = "INSERT INTO tblAlarm (AlarmTime, Days, Message, UrlSound)" & _
            " Values ('" & setTime.ToString & "','" & days.ToString & "','" & message.ToString & "','" & urlSound.ToString & "')"

            mySQL(sql, frmMain.DataGridView1)
        Catch ex As Exception
            'MsgBox(ex.Message)
        End Try

        Call clearDays()

        Call frmMain.frmMain_Load(sender, e)
        Me.Close()
    End Sub

    Private Sub cboMin_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboMin.SelectedIndexChanged
        minute = cboMin.Text
    End Sub

    Private Sub cboAMPM_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboAMPM.SelectedIndexChanged
        ampm = cboAMPM.Text
    End Sub

    Private Sub chkMon_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkMon.CheckedChanged
        If chkMon.CheckState = CheckState.Checked Then
            day(1) = "Mon"
        Else
            day(1) = ""
        End If
    End Sub

    Private Sub chkTue_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkTue.CheckedChanged
        If chkTue.CheckState = CheckState.Checked Then
            day(2) = "Tue"
        Else
            day(2) = ""
        End If
    End Sub

    Private Sub chkThur_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkThur.CheckedChanged
        If chkThur.CheckState = CheckState.Checked Then
            day(4) = "Thu"
        Else
            day(4) = ""
        End If
    End Sub

    Private Sub chkFri_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkFri.CheckedChanged
        If chkFri.CheckState = CheckState.Checked Then
            day(5) = "Fri"
        Else
            day(5) = ""
        End If
    End Sub

    Private Sub chkSat_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkSat.CheckedChanged
        If chkSat.CheckState = CheckState.Checked Then
            day(6) = "Sat"
        Else
            day(6) = ""
        End If
    End Sub

    Private Sub chkSun_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkSun.CheckedChanged
        If chkSun.CheckState = CheckState.Checked Then
            day(7) = "Sun"
        Else
            day(7) = ""
        End If
    End Sub

    Private Sub cboURL_SelectedIndexChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles cboURL.SelectedIndexChanged
        Try
            If cboURL.Text <> "" Or cboURL.Text <> "(None)" Then
                path = Application.StartupPath & "\Sounds\" & cboURL.Text & ".mp3"
                winPlayer.settings.setMode("loop", True)
                winPlayer.URL = path
            End If
        Catch

        End Try

    End Sub
    Private Sub cboURL_TextChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles cboURL.TextChanged
        If cboURL.Text = "" Or cboURL.Text = "(None)" Then
            btnPlayStop.Enabled = False
            btnPlayStop.BackgroundImage = Alarm_Scheduler.My.Resources.Resources.play_dis
        Else
            btnPlayStop.Enabled = True
            btnPlayStop.BackgroundImage = Alarm_Scheduler.My.Resources.Resources.play1
        End If
    End Sub

    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        If cboURL.Text = "" Or cboURL.Text = "(None)" Then
            btnPlayStop.Enabled = False
            btnPlayStop.BackgroundImage = Alarm_Scheduler.My.Resources.Resources.play_dis
            winPlayer.settings.setMode("loop", True)
            winPlayer.URL = path
        End If
    End Sub


    Private Sub btnUpdate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnUpdate.Click
        Call AssignValue()

        Try
            sql1 = "UPDATE tblAlarm SET [AlarmTime] = '" & setTime & _
                                 "', [Days] = '" & days & _
                                 "', [Message] = '" & message & _
                                 "',[UrlSound] = '" & urlSound & _
                                 "' WHERE ID = " & ID.Text

            mySQL(sql1, frmMain.DataGridView1)
        Catch ex As Exception
            'MsgBox(ex.Message)
        End Try

        Call clearDays()

        Call frmMain.frmMain_Load(sender, e)
        Me.Close()
    End Sub

    Private Sub btnCancel_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCancel.Click
        Me.Close()
    End Sub

    Private Sub Timer2_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer2.Tick
        
    End Sub

    Private Sub TrackBar1_Scroll(ByVal sender As System.Object, ByVal e As System.EventArgs)

    End Sub

    Private Sub TrackBar1_ValueChanged(ByVal sender As Object, ByVal e As System.EventArgs)
        TrackBar1.Value = lblValue.Text = TrackBar1.Value & "%"
    End Sub

    Private Sub TrackBar1_Scroll_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TrackBar1.Scroll
        lblValue.Text = TrackBar1.Value & "%"
    End Sub
End Class